> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thanx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Feedback Records

This endpoint will return all the feedback records of the specified merchant.

<Info>
  Scope required: `feedbacks.read`
</Info>

### Parameters

<ParamField path="merchant_id" type="string" required>
  Filter by Merchant ID
</ParamField>

<ParamField path="user_id" type="string" optional>
  Filter by User ID
</ParamField>

<ParamField path="location_id" type="datetime" optional>
  Filter by Location ID
</ParamField>

<ParamField path="states" type="array[string]" optional>
  Filter by state (`unviewed`, `viewed`, `expired`, `rated`, `reviewed`,
  `responded`). The default is to return all feedback records regardless of
  state.
</ParamField>

<ParamField path="updated_after" type="datetime" optional>
  Filter by the timestamp the feedback record was last updated (`ISO8601`-format)
</ParamField>

<Snippet file="pagination/params.mdx" />

### Response

<Snippet file="entities/feedback.mdx" />

<Snippet file="pagination/response.mdx" />

<RequestExample>
  ```bash Get Feedbacks theme={null}
  curl https://api.thanxsandbox.com/partner/feedbacks \
    -X GET \
    -H 'X-ClientId: {client_id}' \
    -H 'Accept-Version: v4.0' \
    -H 'Content-Type: application/json' \
    -H 'Authorization: Bearer {access_token}' \
  ```
</RequestExample>

<ResponseExample>
  ```json Response Example theme={null}
  {
    "feedbacks": [
      {
        "id": "590485d6f0",
        "user_id": "fsjlk",
        "merchant_id": "woeri34",
        "location_id": "fgr2349gh",
        "state": "responded",
        "expires_at": "2020-01-07T20:00:00Z",
        "rating": 10,
        "review": "Customer's written review for their latest purchase.",
        "response": "Merchant's written response to the customer's review.",
        "purchase": {
          "id": "916895d48a",
          "purchased_at": "2020-01-01T20:00:00Z",
          "amount": 16.0,
          "order": {
            "id": "aepo3cme2p",
            "provider": "Toast"
          }
        }
      }
    ],
    "pagination": {
      "current_page": 1,
      "per_page": 10,
      "total_pages": 1
    }
  }
  ```
</ResponseExample>
